<?php

namespace App\Classes\FTN\Process\Netmail\Robot\Areafix;

use Illuminate\Support\Facades\Log;
use Illuminate\Support\Facades\Notification;

use App\Notifications\Netmails\Areafix\AreaList as AreaListNotification;

// LIST - List echoareas in a domain
class AreaList extends Base
{
	private const LOGKEY = 'AFS';
	private const command = '%LIST';

	public static function help(): array
	{
		return [
			self::command,
			'   List the available echoareas in this network',
		];
	}

	public function process(): string
	{
		Log::debug(sprintf('%s:- Areafix [%s] for [%s] for [%s]',self::LOGKEY,self::command,$this->mo->fftn->ftn,join('|',$this->arguments)));

		if (count($this->arguments) > 1)
			return sprintf('%-25s <-- INVALID COMMAND',self::command);

		else {
			Notification::route('netmail',$this->mo->fftn)
				->notify(new AreaListNotification($this->mo));

			return sprintf('%-25s <-- COMMAND PROCESSED',self::command);
		}
	}
}